Skip to main content
GET
/
v1
/
connector-targets
/
{connectorTargetId}
/
mappings
List connector mappings
curl --request GET \
  --url https://api.openworklabs.com/v1/connector-targets/{connectorTargetId}/mappings
import requests

url = "https://api.openworklabs.com/v1/connector-targets/{connectorTargetId}/mappings"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.openworklabs.com/v1/connector-targets/{connectorTargetId}/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "connectorInstanceId": "<string>",
      "connectorTargetId": "<string>",
      "connectorType": "github",
      "remoteId": "<string>",
      "selector": "<string>",
      "pluginId": "<string>",
      "autoAddToPlugin": true,
      "mappingConfigJson": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

connectorTargetId
string<typeid>
required

Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^ctg_.*

Query Parameters

cursor
string
Required string length: 1 - 255
limit
integer
Required range: 1 <= x <= 100
mappingKind
enum<string>
Available options:
path,
api,
custom
objectType
enum<string>
Available options:
skill,
agent,
command,
tool,
mcp,
hook,
context,
custom
pluginId
string<typeid>

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
q
string
Required string length: 1 - 255

Response

Connector mappings returned successfully.

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 255